
BornAgain - Feature #1772

GUI: implement projections editor for ImportView widget

24 Feb 2017 14:32 - pospelov

Status: Resolved Start date: 24 Feb 2017

Priority: Normal Due date:  

Assignee: pospelov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Sprint 36   

Description

In addition to mask editor, we can provide projections editor (which is already implemented on JobView) on ImportDataView. Users

will be able to load data and immediately look at horizontal/vertical projections.

Mask editor

revise tooltips

Projections editor

provide automatic switch of Horizontal/Vertical projections tabs on corresponding button

In "pan" mode disable cursor change when hover on existing projection

revise tooltips

provide save of projections to file (txt, png)

provide dynamic text label with mouse position on projection editor

make sure axes units switch is working

History

#1 - 10 Oct 2017 16:50 - pospelov

- Status changed from New to Sprint

- Target version set to Sprint 36

#2 - 23 Oct 2017 12:41 - pospelov

- Description updated

#3 - 25 Oct 2017 10:10 - pospelov

- Description updated

- Assignee set to pospelov

#4 - 06 Nov 2017 17:12 - pospelov

- Status changed from Sprint to Resolved
